=== debian/changelog ===
imath (3.1.4-3) unstable; urgency=medium

  * debian/rules: expand Python version
  * debian/copyright: extend copyright timestamp

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 12 Mar 2022 13:50:24 +0100

imath (3.1.4-2) unstable; urgency=medium

  [ Mathieu Malaterre ]
  * Team upload.
  * d/rules: Make sure to remove another FATAL_ERROR from cmake config files

  [ Vagrant Cascadian ]
  * debian/rules: Pass -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON via dh_auto_configure override. Closes: #1003804

 -- Mathieu Malaterre <malat@debian.org>  Mon, 21 Feb 2022 14:09:14 +0100

imath (3.1.4-1) unstable; urgency=medium

  * New upstream release
  * debian/patches/: patchset dropped (merged upstream)
  * debian/rules: bump API revision 2 -> 3

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 04 Feb 2022 00:11:51 +0100

imath (3.1.3-10) unstable; urgency=medium

  * Team upload.
  * d/rules: Downgrade an error to simply a status message. Closes: #1004067

 -- Mathieu Malaterre <malat@debian.org>  Sun, 23 Jan 2022 17:29:48 +0100

imath (3.1.3-9) unstable; urgency=medium

  * Team upload.
  * d/rules: Fix installation for indep only debuild (-A)

 -- Mathieu Malaterre <malat@debian.org>  Fri, 14 Jan 2022 11:54:31 +0100

imath (3.1.3-8) unstable; urgency=medium

  * d/rules Make sure to only build docs when needed
  * d/control: Remove self from Uploader.

 -- Mathieu Malaterre <malat@debian.org>  Thu, 13 Jan 2022 17:06:02 +0100

imath (3.1.3-7) unstable; urgency=medium

  * d/rules: Refactor the install rules

 -- Mathieu Malaterre <malat@debian.org>  Thu, 13 Jan 2022 15:29:58 +0100

imath (3.1.3-6) unstable; urgency=medium

  * Upload imath to unstable
  * d/rules: Test suite is written for sse-type arch
  * d/rules: Fix lintian missing-dependency-on-numpy-abi error
  * d/patches: Remove some simple typos in the code

 -- Mathieu Malaterre <malat@debian.org>  Thu, 13 Jan 2022 14:31:57 +0100

imath (3.1.3-5) experimental; urgency=medium

  * d/patches: Prevent race condition (dh --parallel)

 -- Mathieu Malaterre <malat@debian.org>  Tue, 30 Nov 2021 10:06:05 +0100

imath (3.1.3-4) experimental; urgency=medium

  * debian/control: completely move Indep b-deps to Arch-dep

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 24 Nov 2021 20:34:29 +0100

imath (3.1.3-3) experimental; urgency=medium

  * debian/control: doxygen b-dep moved away from indep

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 24 Nov 2021 15:48:52 +0100

imath (3.1.3-2) experimental; urgency=medium

  * debian/control: python3-numpy b-dep added

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 24 Nov 2021 14:01:45 +0100

imath (3.1.3-1) experimental; urgency=medium

  * Initial release. (Closes: #994723)

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 15 Oct 2021 23:21:03 +0200
