=== debian/changelog ===
imath (3.1.5-1ubuntu2) kinetic; urgency=medium

  * No-change rebuild to pick up fixed libboost-python dependencies

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 03 Sep 2022 13:10:14 +0000

imath (3.1.5-1ubuntu1) kinetic; urgency=medium

  * Don't build python3-imath on i386.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 21 Aug 2022 05:53:07 +0000

imath (3.1.5-1) unstable; urgency=medium

  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 27 Apr 2022 22:58:59 +0200
