=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: imath
 Section: libs
 Priority: optional
-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders: Matteo F. Vescovi <mfv@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
-               dh-python,
+               dh-python [!i386],
                doxygen,
-               libboost-python-dev,
+               libboost-python-dev [!i386],
                pkg-config,
-               python3-breathe,
-               python3-dev:any,
-               python3-numpy,
-               python3-sphinx
+               python3-breathe [!i386],
+               python3-dev:any [!i386],
+               python3-numpy [!i386],
+               python3-sphinx [!i386]
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://www.openexr.com
