=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: imath
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
+Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders: Matteo F. Vescovi <mfv@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
-               dh-python [!i386],
+               dh-python,
                doxygen,
-               libboost-python-dev [!i386],
+               libboost-python-dev,
                pkg-config,
-               python3-breathe [!i386],
-               python3-dev:any [!i386],
-               python3-numpy [!i386],
-               python3-sphinx [!i386]
-Standards-Version: 4.6.0
+               python3-breathe,
+               python3-dev:any,
+               python3-numpy,
+               python3-sphinx
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.openexr.com
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/imath.git
