=== debian/rules ===
--- 
+++ 
@@ -5,17 +5,10 @@
 export DH_OPTIONS
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
-
-ifneq ($(DEB_HOST_ARCH), i386)
-    witharg = --with python3
-    cmake_python = -DPYTHON=ON
-endif
-
 INSTDIR = debian/tmp
 
 %:
-	dh $@ -Bbuild -Scmake $(witharg)
+	dh $@ -Bbuild -Scmake --with python3
 
 # deduce documentation option (build-indep target)
 ifeq "" "$(filter %-doc,$(shell dh_listpackages))"
@@ -28,7 +21,7 @@
 	dh_auto_configure -- \
 		-DDOCS=$(BUILDDOC) \
 		-DCMAKE_BUILD_RPATH_USE_ORIGIN=ON \
-		$(cmake_python)
+		-DPYTHON=ON
 
 # https://github.com/AcademySoftwareFoundation/Imath/issues/226
 override_dh_auto_test-arch:
@@ -63,20 +56,16 @@
 	# See #1004067
 	sed -i -e "s/FATAL_ERROR/STATUS/g" debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/Imath/ImathConfig.cmake
 	sed -i -e "s/FATAL_ERROR/STATUS/g" debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/Imath/ImathTargets.cmake
-ifneq ($(DEB_HOST_ARCH), i386)
 	dh_numpy3 --package=$(pkg_py)
-endif
-	dh_install -p$(pkg_lib) debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libImath-3_1.so.29.4.0
+	dh_install -p$(pkg_lib) debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libImath-3_1.so.29.5.0
 	dh_install -p$(pkg_lib) debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libImath-3_1.so.29
 	dh_install -p$(pkg_dev) debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libImath-3_1.so
 	dh_install -p$(pkg_dev) debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libImath.so
 	dh_install -p$(pkg_dev) debian/tmp/usr/include
 	dh_install -p$(pkg_dev) debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/
 	dh_install -p$(pkg_dev) debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/
-ifneq ($(DEB_HOST_ARCH), i386)
 	dh_install -p$(pkg_py)  debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libPyImath_Python3_*-3_1.so
 	dh_install -p$(pkg_py)  debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libPyImath_Python3_*-3_1.so.29
-	dh_install -p$(pkg_py)  debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libPyImath_Python3_*-3_1.so.29.4.0
+	dh_install -p$(pkg_py)  debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libPyImath_Python3_*-3_1.so.29.5.0
 	dh_install -p$(pkg_py)  debian/tmp/usr/lib/python3/dist-packages/imath.so
 	dh_install -p$(pkg_py)  debian/tmp/usr/lib/python3/dist-packages/imathnumpy.so
-endif
